# $Revision: 1.78 $, $Date: 2008/08/18 20:57:40 $
Summary:	GUI for dctc (Direct Connect)
Summary(pl.UTF-8):	GUI do dctc (Direct Connect)
Name:		dc_gui
Version:	0.80
Release:	10
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ac2i.homelinux.com/dctc/%{name}2-%{version}.tar.gz
# Source0-md5:	3ccdc2796f3ab8e73d0405c4afccf22b
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-desktop.patch
URL:		http://ac2i.homelinux.com/dctc/
BuildRequires:	db-devel
BuildRequires:	dctc >= 0.85.8
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.2
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel
BuildRequires:	rpmbuild(macros) >= 1.198
Requires:	dctc >= 0.85.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Direct Connect client (dctc) GUI.

%description -l pl.UTF-8
Graficzny interfejs użytkownika do dctc (Direct Connect).

%prep
%setup -q -n %{name}2-%{version}
#%patch0 -p1
%patch1 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dc_gui2.mo, but gnome/help/dc_gui

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/dc_gui2
%{_pixmapsdir}/dc_gui2.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dc_gui.spec,v $
Revision 1.78  2008/08/18 20:57:40  glen
- release 10 (db 4.2 rebuild)

Revision 1.77  2008-02-26 08:16:14  glen
- AC-branch merge (fix build with current env)

Revision 1.76  2007-02-12 21:23:52  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.74  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.73  2005/05/10 17:29:21  ankry
- libtoolize

Revision 1.72  2005/05/10 09:33:19  ankry
- rel. 6 to rebuild with newer libhowl

Revision 1.71  2004/12/24 22:36:56  radzio
release 5 to rebuild with python 2.4

Revision 1.70  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.69  2004/10/01 10:07:21  paladine
- rel 4 for fixed desktop patch

Revision 1.68  2004/07/16 11:25:42  ankry
- added -desktop patch, rel. 3

Revision 1.67  2004/07/12 07:14:20  ankry
- rel. 2 to rebuild with curl-7.12

Revision 1.66  2004/01/30 07:38:01  pascalek
- updated to 0.80

Revision 1.65  2003/12/23 07:12:21  misi3k
- updated to 0.78

Revision 1.64  2003/10/27 08:50:03  pascalek
- updated to 0.77

Revision 1.63  2003/09/01 09:01:42  pascalek
- home_etc patch disabled becouse of removing it from dctc.spec

Revision 1.62  2003/08/25 09:10:38  pascalek
- updated to 0.76

Revision 1.61  2003/07/29 14:01:02  blues
- BR proper gtk+2

Revision 1.60  2003/07/23 10:36:42  misi3k
- updated to 0.75

Revision 1.59  2003/06/13 11:31:26  qboosh
- use find_lang for gnome/help
- removed BR alsa-lib-devel (not used directly, maybe through esound)
- BR: intltool

Revision 1.58  2003/06/06 22:19:49  krolik
- corected Source0-md5

Revision 1.57  2003/06/06 22:01:13  krolik
- updated to 0.74
- added new BR: alsa-lib-devel

Revision 1.56  2003/05/26 16:24:52  malekith
- massive attack: adding Source-md5

Revision 1.55  2003/05/25 05:46:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/05/10 08:42:57  kosmo
- updated to 0.73

Revision 1.53  2003/04/04 21:39:09  aflinta
- removed obsoleted gnome 1.x related things, fixed, polished etc.

Revision 1.52  2003/03/31 18:32:18  kosmo
- updated to 0.72

Revision 1.51  2003/03/19 09:35:55  pascalek
- home_etc patch back; STBR

Revision 1.50  2003/03/19 08:23:08  pascalek
- updated to 0.71

Revision 1.49  2003/02/24 15:25:19  radek
- BR:db3-devel->BR:db-devel, BR:libgnomeui-devel
- release 1.1 (doesn't build because of ac/am issues)

Revision 1.48  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.47  2003/01/13 08:04:45  pascalek
- updated to 0.69

Revision 1.46  2003/01/08 14:30:21  pascalek
- updated to 0.68
- rethink update to this version - it's experimental (IMHO)

Revision 1.45  2002/12/09 07:46:06  pascalek
- updated to 0.66

Revision 1.44  2002/11/19 15:36:34  pascalek
- updated to 0.65

Revision 1.43  2002/11/05 09:10:32  pascalek
- updated to 0.64

Revision 1.42  2002/10/23 07:28:05  pascalek
- updated to 0.63

Revision 1.41  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/10/07 08:44:09  misiek
- added pixmaps

Revision 1.39  2002/10/05 19:55:16  mmazur
- updated to 0.62; STBR

Revision 1.38  2002/08/26 05:46:49  pascalek
- updated to 0.60

Revision 1.37  2002/07/29 08:01:35  jojoro
- updated to 0.59

Revision 1.36  2002/06/23 20:52:48  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.35  2002/06/09 15:03:01  jojoro
- updated to 0.58

Revision 1.34  2002/06/03 09:19:37  pascalek
- Release 2, home_etc patch added

Revision 1.33  2002/05/28 15:44:36  jojoro
- update to 0.57

Revision 1.32  2002/05/21 23:12:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/14 06:16:10  jojoro
- updated to 0.56

Revision 1.30  2002/05/11 17:21:20  kloczek
- BuildRequires: dctc >= 0.79.

Revision 1.29  2002/05/11 17:13:53  blues
- changed group to X11/Applications/Networking

Revision 1.28  2002/05/11 06:38:00  misiek
- updated to 0.55

Revision 1.27  2002/04/25 16:09:51  arturs
- fixed a small typo

Revision 1.26  2002/03/24 23:04:09  misiek
- updated to 0.50

Revision 1.25  2002/03/23 05:38:41  kloczek
- updated to 0.49,
- desktop file moved to Network/Communications/.

Revision 1.24  2002/03/23 02:37:47  blues
- added desktop file

Revision 1.23  2002/03/11 02:27:24  jack
- Updated to 0.74 dctc and 0.48 dc_gui - build and work ok

Revision 1.22  2002/03/05 20:17:01  jack
- This version requires a DCTC version 0.73 or above. (http://ac2i.tzo.com/dctc/)

Revision 1.21  2002/03/05 18:16:43  filon
- updated to 0.47

Revision 1.20  2002/02/28 17:27:39  jack
- Updated - builds and works.

Revision 1.19  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/19 06:35:29  kloczek
- updated to 0.45.

Revision 1.17  2002/02/03 14:53:44  misiek
- updated to 0.43

Revision 1.16  2002/01/28 14:56:29  misiek
- updated to 0.42

Revision 1.15  2002/01/20 12:31:11  misiek
- updated to 0.41

Revision 1.14  2002/01/18 02:12:40  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/13 11:13:26  misiek
BR: dctc

Revision 1.12  2002/01/13 10:52:48  misiek
- updated to 0.40

Revision 1.11  2002/01/06 12:03:58  misiek
- updated to 0.39

Revision 1.10  2001/12/20 02:03:13  misiek
- updated to 0.36

Revision 1.9  2001/12/01 15:20:26  grzegorz
- update to 0.34

Revision 1.8  2001/11/21 14:31:08  qboosh
- pl translations

Revision 1.7  2001/11/08 12:15:45  grzegorz
- update to 0.33, STBR
- Requires: dctc >= 0.59

Revision 1.6  2001/10/22 10:53:44  ankry
- BuildRequires  gnome-libs-devel and gtk+-devel >= 1.2.0

Revision 1.5  2001/10/22 07:09:57  grzegorz
- homepage suggests requirement for dctc >= 0.58, sorry for 0.98

Revision 1.4  2001/10/22 07:07:13  ankry
- removed bogus requirement for dctc >= 0.98 (0.58 is the newest; homepage
  suggests requirement for dctc >= 0.55)

Revision 1.3  2001/10/22 07:03:03  grzegorz
- correct URL and Source0
- update to 0.32

Revision 1.2  2001/10/22 06:42:22  grzegorz
- dctc must be at least 0.98
- added BuildRequires: autoconf automake
- ac 2.5x ready
- not tested!

Revision 1.1  2001/10/22 06:21:42  pascalek
- initial revision

Revision 1.1  2001/10/19 06:45:58  pascalek
- initial revision
